IOSS 2.0

Public Types | Public Member Functions | Public Attributes | List of all members
Iocgns::DecompositionDataBase Class Referenceabstract

`#include <Iocgns_DecompositionData.h>`

Inheritance diagram for Iocgns::DecompositionDataBase:
[legend]
Collaboration diagram for Iocgns::DecompositionDataBase:
[legend]

## Public Types
using | ZoneSharedMap = tsl::robin_map< cgsize_t, cgsize_t >

## Public Member Functions
| DecompositionDataBase ()
virtual | ~DecompositionDataBase ()
virtual void | decompose_model (int filePtr, Ioss::MeshType mesh_type)=0
virtual size_t | ioss_node_count () const =0
virtual size_t | ioss_elem_count () const =0
virtual int | int_size () const =0
virtual int | spatial_dimension () const =0
virtual size_t | global_node_count () const =0
virtual size_t | global_elem_count () const =0
virtual size_t | decomp_node_offset () const =0
virtual size_t | decomp_node_count () const =0
virtual size_t | decomp_elem_offset () const =0
virtual size_t | decomp_elem_count () const =0
virtual std::vector< double > & | centroids ()=0
virtual size_t | get_commset_node_size () const =0
virtual void | get_node_coordinates (int filePtr, double *ioss_data, const Ioss::Field &field) const =0
void | get_block_connectivity (int filePtr, void *data, int blk_seq) const
void | get_element_field (int filePtr, int solution_index, int blk_seq, int field_index, double *data) const
void | get_node_field (int filePtr, int solution_index, int field_index, double *data) const
void | get_node_entity_proc_data (void *entity_proc, const Ioss::MapContainer &node_map, bool do_map) const
template<typename T >
void | communicate_element_data (T *file_data, T *ioss_data, size_t comp_count) const
template<typename T >
void | communicate_node_data (T *file_data, T *ioss_data, size_t comp_count) const
void | get_sideset_element_side (int filePtr, const Ioss::SetDecompositionData &sset, void *data) const

## Public Attributes
std::vector< ZoneData > | m_zones
std::vector< Ioss::BlockDecompositionData > | m_elementBlocks
std::vector< Ioss::SetDecompositionData > | m_sideSets
std::vector< Iocgns::StructuredZoneData * > | m_structuredZones
ZoneSharedMap | m_zoneSharedMap

## Member Typedef Documentation

## ◆ ZoneSharedMap

using Iocgns::DecompositionDataBase::ZoneSharedMap = tsl::robin_map<cgsize_t, cgsize_t>

## Constructor & Destructor Documentation

## ◆ DecompositionDataBase()

Iocgns::DecompositionDataBase::DecompositionDataBase | ( |  | ) |
| inline

## ◆ ~DecompositionDataBase()

Iocgns::DecompositionDataBase::~DecompositionDataBase | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ centroids()

virtual std::vector<double>& Iocgns::DecompositionDataBase::centroids | ( |  | ) |
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ communicate_element_data()

template<typename T >

void Iocgns::DecompositionDataBase::communicate_element_data | ( | T * | file_data,
|  | T * | ioss_data,
|  | size_t | comp_count
| ) |  | const

## ◆ communicate_node_data()

template<typename T >

void Iocgns::DecompositionDataBase::communicate_node_data | ( | T * | file_data,
|  | T * | ioss_data,
|  | size_t | comp_count
| ) |  | const

## ◆ decomp_elem_count()

virtual size_t Iocgns::DecompositionDataBase::decomp_elem_count | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ decomp_elem_offset()

virtual size_t Iocgns::DecompositionDataBase::decomp_elem_offset | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ decomp_node_count()

virtual size_t Iocgns::DecompositionDataBase::decomp_node_count | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ decomp_node_offset()

virtual size_t Iocgns::DecompositionDataBase::decomp_node_offset | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ decompose_model()

virtual void Iocgns::DecompositionDataBase::decompose_model | ( | int | filePtr,
|  | Ioss::MeshType | mesh_type
| ) |  |
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ get_block_connectivity()

void Iocgns::DecompositionDataBase::get_block_connectivity | ( | int | filePtr,
|  | void * | data,
|  | int | blk_seq
| ) |  | const

## ◆ get_commset_node_size()

virtual size_t Iocgns::DecompositionDataBase::get_commset_node_size | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ get_element_field()

void Iocgns::DecompositionDataBase::get_element_field | ( | int | filePtr,
|  | int | solution_index,
|  | int | blk_seq,
|  | int | field_index,
|  | double * | data
| ) |  | const

## ◆ get_node_coordinates()

virtual void Iocgns::DecompositionDataBase::get_node_coordinates | ( | int | filePtr,
|  | double * | ioss_data,
|  | const Ioss::Field & | field
| ) |  | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ get_node_entity_proc_data()

void Iocgns::DecompositionDataBase::get_node_entity_proc_data | ( | void * | entity_proc,
|  | const Ioss::MapContainer & | node_map,
|  | bool | do_map
| ) |  | const

## ◆ get_node_field()

void Iocgns::DecompositionDataBase::get_node_field | ( | int | filePtr,
|  | int | solution_index,
|  | int | field_index,
|  | double * | data
| ) |  | const

## ◆ get_sideset_element_side()

void Iocgns::DecompositionDataBase::get_sideset_element_side | ( | int | filePtr,
|  | const Ioss::SetDecompositionData & | sset,
|  | void * | data
| ) |  | const

## ◆ global_elem_count()

virtual size_t Iocgns::DecompositionDataBase::global_elem_count | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ global_node_count()

virtual size_t Iocgns::DecompositionDataBase::global_node_count | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ int_size()

virtual int Iocgns::DecompositionDataBase::int_size | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ ioss_elem_count()

virtual size_t Iocgns::DecompositionDataBase::ioss_elem_count | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ ioss_node_count()

virtual size_t Iocgns::DecompositionDataBase::ioss_node_count | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## ◆ spatial_dimension()

virtual int Iocgns::DecompositionDataBase::spatial_dimension | ( |  | ) | const
| pure virtual

Implemented in Iocgns::DecompositionData< INT >.

## Member Data Documentation

## ◆ m_elementBlocks

std::vector<Ioss::BlockDecompositionData> Iocgns::DecompositionDataBase::m_elementBlocks

## ◆ m_sideSets

std::vector<Ioss::SetDecompositionData> Iocgns::DecompositionDataBase::m_sideSets

## ◆ m_structuredZones

std::vector<Iocgns::StructuredZoneData *> Iocgns::DecompositionDataBase::m_structuredZones

## ◆ m_zones

std::vector<ZoneData> Iocgns::DecompositionDataBase::m_zones

## ◆ m_zoneSharedMap

ZoneSharedMap Iocgns::DecompositionDataBase::m_zoneSharedMap

The documentation for this class was generated from the following files:

- src/cgns/Iocgns_DecompositionData.h
- src/cgns/Iocgns_DecompositionData.C